Subject: Re: [Capwap] Issue 208: Dealing with Reserved Bits

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Fri, 22 Sep 2006 13:17:47 -0700

Yes - the mislabeling of the issues was done the first time I sent an
e-mail, but I made the necessary corrections when I sent the notice to
close. Both are addressed and closed.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Margaret Wasserman [mailto:[email-masked]] 
> Sent: Thursday, September 21, 2006 5:50 AM
> To: Pat Calhoun (pacalhou)
> Cc: Nelson, David; [email-masked]
> Subject: Re: [Capwap] Issue 208: Dealing with Reserved Bits
> 
> 
> Hi Pat,
> 
> As you can probably tell, I'm working my way through all of 
> the issues, trying to understand which have been cleanly 
> resolved and which require further discussion or consensus 
> calls within the WG...
> 
> This particular messaage seems to be in error...  The 
> Reserved Bits issue is Issue 209, and you later reported 
> closing that issue.
> 
> If I'm interpreting the mail thread correctly, Issue 208 was 
> opened to cover a report by Filippo Giordano that the AC 
> Descriptor Message Element and the Radio Administrative State 
> Message Element have incorrect length fields in version -02 
> of the document.
> 
> Am I correct?  And if so, have you also resolved Issue 208?
> 
> Thanks,
> Margaret
> 
> On Sep 15, 2006, at 2:23 PM, Pat Calhoun (pacalhou) wrote:
> 
> > Given the lack of responses, I will assume the modified 
> proposed text 
> > is acceptable and will close this issue.
> >
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit Cisco Systems
> >
> >
> >
> >> -----Original Message-----
> >> From: Pat Calhoun (pacalhou)
> >> Sent: Thursday, August 31, 2006 2:24 PM
> >> To: Nelson, David; [email-masked]
> >> Subject: Re: [Capwap] Issue 209: Dealing with Reserved Bits
> >>
> >> I'm ok with this as well.
> >>
> >> Pat Calhoun
> >> CTO, Wireless Networking Business Unit
> >> Cisco Systems
> >>
> >>
> >>
> >>> -----Original Message-----
> >>> From: Nelson, David [mailto:[email-masked]]
> >>> Sent: Thursday, August 31, 2006 2:17 PM
> >>> To: Pat Calhoun (pacalhou); [email-masked]
> >>> Subject: RE: [Capwap] Issue 209: Dealing with Reserved Bits
> >>>
> >>> For the sake of symmetry, may I suggest a different 
> revision to the
> >>> text:
> >>>
> >>> OLD (Pat C. as of 8/31/06):
> >>>
> >>> 4.1.  CAPWAP Transport Header
> >>> [...]
> >>>    Flags:  A set of reserved bits for future flags in the CAPWAP
> >>> header.
> >>>       All implementations complying with version zero of
> >> this protocol
> >>>       MUST set these bits to zero.  Receivers MUST ignore
> >> all bits not
> >>>       defined for the version of the protocol they support [...]
> >>>
> >>> NEW:
> >>>
> >>> 4.1.  CAPWAP Transport Header
> >>> [...]
> >>>    Flags:  A set of reserved bits for future flags in the CAPWAP
> >>> header.
> >>>       All implementations complying with this protocol MUST set to
> >>> zero
> >>>       any bits that are reserved in the version of the protocol
> >>> supported
> >>>       by that implementation.  Receivers MUST ignore all bits not
> >>> defined
> >>>       for the version of the protocol they support [...]
> >>>
> >>> This places a symmetric requirement on senders to zero, and
> >> receivers
> >>> to ignore, any bits that are still reserved in the version of the
> >>> protocol supported in that implementation.
> >>>
> >> _________________________________________________________________
> >> To unsubscribe or modify your subscription options, please visit:
> >> http://lists.frascone.com/mailman/listinfo/capwap
> >>
> >> Archives: http://lists.frascone.com/pipermail/capwap
> >>
> > _________________________________________________________________
> > To unsubscribe or modify your subscription options, please visit:
> > http://lists.frascone.com/mailman/listinfo/capwap
> >
> > Archives: http://lists.frascone.com/pipermail/capwap
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap